FieldInterp< Data_T > Class Template Referenceabstract
Fields

Base class for interpolators. More...

`#include <FieldInterp.h>`

Inheritance diagram for FieldInterp< Data_T >:

## Public Types

typedef FieldInterp | class_type
typedef boost::intrusive_ptr< FieldInterp > | Ptr
typedef Data_T | value_type
Public Types inherited from RefBase
typedef boost::intrusive_ptr< RefBase > | Ptr
typedef boost::weak_ptr< RefBase > | WeakPtr

## Public Member Functions

virtual Data_T | sample (const Field< Data_T > &data, const V3d &vsP) const =0
virtual | ~FieldInterp ()
Public Member Functions inherited from RefBase
void | ref () const
| Used by boost::intrusive_pointer.
size_t | refcnt ()
| Used by boost::intrusive_pointer.
void | unref () const
| Used by boost::intrusive_pointer.
WeakPtr | weakPtr () const
| RefBase ()
| RefBase (const RefBase &)
| Copy constructor.
RefBase & | operator= (const RefBase &)
| Assignment operator.
virtual | ~RefBase ()
| Destructor.
virtual bool | checkRTTI (const char *typenameStr)=0
| This function is only implemented by concrete classes and triggers the actual RTTI check through matchRTTI();.
bool | matchRTTI (const char *typenameStr)
| Performs a check to see if the given typename string matches this class' This needs to be implemented in -all- subclasses, even abstract ones.

## Static Public Member Functions

static const char * | staticClassName ()
static const char * | staticClassType ()
static const char * | staticClassType ()

## Public Attributes

| DEFINE_FIELD_RTTI_ABSTRACT_CLASS

## Private Types

typedef RefBase | base
| Convenience typedef for referring to base class.

## Static Private Attributes

static TemplatedFieldType< FieldInterp< Data_T > > | ms_classType

## Detailed Description

template<class Data_T>
class FieldInterp< Data_T >

Base class for interpolators.

Note
  An interpolator always interpolates in voxel space.

Definition at line 72 of file FieldInterp.h.

## Member Typedef Documentation

## value_type

template<class Data_T>

typedef Data_T FieldInterp< Data_T >::value_type

Definition at line 78 of file FieldInterp.h.

## Ptr

template<class Data_T>

typedef boost::intrusive_ptr<FieldInterp> FieldInterp< Data_T >::Ptr

Definition at line 79 of file FieldInterp.h.

## class_type

template<class Data_T>

typedef FieldInterp FieldInterp< Data_T >::class_type

Definition at line 83 of file FieldInterp.h.

## base

template<class Data_T>

typedef RefBase FieldInterp< Data_T >::base

private

Convenience typedef for referring to base class.

Definition at line 114 of file FieldInterp.h.

## Constructor & Destructor Documentation

## ~FieldInterp()

template<class Data_T>

virtual FieldInterp< Data_T >::~FieldInterp | ( |  | ) |

inline virtual

Definition at line 98 of file FieldInterp.h.

{ }

## Member Function Documentation

## staticClassName()

template<class Data_T>

const char * FieldInterp< Data_T >::staticClassName | ( |  | ) |

inline static

Definition at line 86 of file FieldInterp.h.

{
return "FieldInterp";
}

## staticClassType()

template<class Data_T>

const char * FieldInterp< Data_T >::staticClassType | ( |  | ) |

inline static

Definition at line 91 of file FieldInterp.h.

{
return ms_classType.name();
}
FieldInterp::ms_classType
static TemplatedFieldType< FieldInterp< Data_T > > ms_classType
Definition FieldInterp.h:109

References ms_classType.

## sample()

template<class Data_T>

virtual Data_T FieldInterp< Data_T >::sample | ( | const Field< Data_T > & | data,
|  | const V3d & | vsP ) const

pure virtual

Implemented in CubicFieldInterp< Data_T >, and LinearFieldInterp< Data_T >.

Referenced by wsSample().

## Member Data Documentation

## DEFINE_FIELD_RTTI_ABSTRACT_CLASS

template<class Data_T>

FieldInterp< Data_T >::DEFINE_FIELD_RTTI_ABSTRACT_CLASS

Definition at line 84 of file FieldInterp.h.

## ms_classType

template<class Data_T>

TemplatedFieldType<FieldInterp<Data_T> > FieldInterp< Data_T >::ms_classType

static private

Definition at line 109 of file FieldInterp.h.

Referenced by staticClassType().

The documentation for this class was generated from the following file:

- export/FieldInterp.h